Package com.mapd.thrift.server

## Class MapD.AsyncClient.get_tables_meta_call

- java.lang.Object
- - org.apache.thrift.async.TAsyncMethodCall<List<TTableMeta>>
  - - com.mapd.thrift.server.MapD.AsyncClient.get_tables_meta_call

Enclosing class:
  MapD.AsyncClient

    public static class MapD.AsyncClient.get_tables_meta_call
    extends org.apache.thrift.async.TAsyncMethodCall<List<TTableMeta>>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.thrift.async.TAsyncMethodCall

`org.apache.thrift.async.TAsyncMethodCall.State`

### Field Summary

### Fields inherited from class org.apache.thrift.async.TAsyncMethodCall

`client, transport`

### Constructor Summary

Constructors
`get_tables_meta_call​(String session, org.apache.thrift.async.AsyncMethodCallback<List<TTableMeta>> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<TTableMeta>` `getResult()`
`void` `write_args​(org.apache.thrift.protocol.TProtocol prot)`

### Methods inherited from class org.apache.thrift.async.TAsyncMethodCall

`getClient, getFrameBuffer, getSequenceId, getStartTime, getState, getTimeoutTimestamp, hasTimeout, isFinished, onError, prepareMethodCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### get_tables_meta_call

    public get_tables_meta_call​(String session,
                                org.apache.thrift.async.AsyncMethodCallback<List<TTableMeta>> resultHandler,
                                org.apache.thrift.async.TAsyncClient client,
                                org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                org.apache.thrift.transport.TNonblockingTransport transport)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### Method Detail

#### write_args

    public void write_args​(org.apache.thrift.protocol.TProtocol prot)
                    throws org.apache.thrift.TException

Specified by:
  `write_args` in class `org.apache.thrift.async.TAsyncMethodCall<List<TTableMeta>>`
Throws:
  `org.apache.thrift.TException`

#### getResult

    public List<TTableMeta> getResult()
                               throws TMapDException,
                                      org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.async.TAsyncMethodCall<List<TTableMeta>>`
Throws:
  `TMapDException`
  `org.apache.thrift.TException`